Name:			python-tilecache
Version:		2.11
Release:		6%{?dist}
Summary:		A web map tile caching system
Group:			Development/Languages
# TileCache/Caches/S3.py is MIT-licensed"
License:		BSD and MIT
URL:			http://tilecache.org/
Source0:		http://tilecache.org/tilecache-%{version}.zip
BuildRequires:		python-setuptools
BuildArch:		noarch
Patch0:			tilecache-2.11-fedora.patch

%description
TileCache is a BSD licensed tile caching mechanism. The goal is 
to make it easy to set up a WMS or TMS front-end to any back-end 
data services you might be interested in, using a pluggable 
caching and rendering mechanism.

TileCache was developed by MetaCarta Labs as a companion to OpenLayers. 
This TileCache client supports multiple different rendering back-ends 
(Mapserver, Mapnik etc). Each rendering back-end also supports the 
ability to draw 'meta-tiles', where a large tile is rendered, and then 
chopped into smaller tiles using the Python Imaging library.

%prep
%setup -q -n tilecache-%{version}
%patch0 -p1
chmod -x docs/Example.py.txt

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
cp -p tilecache.cfg $RPM_BUILD_ROOT%{python_sitelib}/TileCache/
chmod 755  $RPM_BUILD_ROOT%{python_sitelib}/TileCache/Service.py
chmod 755  $RPM_BUILD_ROOT%{python_sitelib}/TileCache/Client.py

%check
#make the just-installed TileCache module visible to the test suite
export PYTHONPATH=$PYTHONPATH:$RPM_BUILD_ROOT%{python_sitelib}

# run test suite. this does not return an error value so we need
# to save the output and grep it for the magic "OK" string
python tests/tests.py 2>&1 | tee testlog.txt
tail -n 2 testlog.txt | grep "^OK"

%files
%defattr(-,root,root,-)
%doc docs/* tests
%{python_sitelib}/*
%{_bindir}/tilecache.cgi
%{_bindir}/tilecache.fcgi
%{_bindir}/tilecache_clean.py
%{_bindir}/tilecache_http_server.py
%{_bindir}/tilecache_install_config.py
%{_bindir}/tilecache_seed.py
%dir %{_sysconfdir}/TileCache
%config(noreplace) %{_sysconfdir}/TileCache/tilecache.cfg
%config(noreplace) %{_sysconfdir}/TileCache/dev.ini

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 11 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 2.11-5
- Added test suite
- Changed the license to "BSD and MIT"
- Updated the URL and Source
- Removed traget RHEL 6

* Mon Nov 8 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 2.11-4
- Added newline between the changelog entries.
- Removed execute permission of Example.py.txt as it is coming under the documenation.
- Fixed the macro issue in changelog by adding double-comment.
- Moved to %%dir macro for sysconfigdir

* Sun Nov 7 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 2.11-3
- Fixed the permission issues.
- Proper macros for documentation.

* Sun Nov 5 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 2.11-2
- Removed CFLAGS, noarch package.
- Added noreplace option for files in sysconfigdir.
- Removed BuidRoot and %%clean, targeted systems are Fedora 13 and above.
- Timestamp fix.
- Minor fixes ralted to patch and changelog entries.

* Tue Nov 2 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 2.11-1
- Initial build
